function myFunction() {
  var thread = GmailApp.getInboxThreads()
  for (let x = 0; x < thread.length; x++ ) {
    if (thread[x].getMessages().length == 1) {
      var message = thread[x].getMessages()[0];
      if (message.getFrom().includes("do-not-reply@gong.io")) {
        var messageBody = message.getPlainBody();
        var subject = message.getSubject().split(":")[0]
        Logger.log(subject)
        var messageSub = messageBody.substring(
          messageBody.indexOf("Next steps"), 
          messageBody.lastIndexOf("Want to")
        );
        var messagechunks = messageSub.split(/\d/);
      for (let i = 0; i < messagechunks.length; i++) {
        Logger.log(messagechunks[i])
      }
      //   // if (messagechunks[i].includes("Next Steps")) {
      //   //   Logger.log(messagechunks[i])
      //   // }
      }
   }
  }
}